GuidesAPI Reference
GuidesAPI Reference
  1. Tokens
  • wallets
    • Create a new wallet
      POST
    • Get wallet details
      GET
    • List wallets
      GET
  • Tokens
    • Deploy and register a new token
      POST
    • Mint tokens
      POST
    • Burn tokens
      POST
    • Burn tokens from a specific wallet
      POST
    • List tokens
      GET
    • Pause token transfers
      POST
    • Unpause token transfers
      POST
    • Block user from token transfers
      POST
    • Unblock user from token transfers
      POST
  • Transfers
    • Create a new transfer
      POST
    • Get transfer details
      GET
    • List transfers
      GET
  • Transactions
    • Execute an arbitrary contract call
      POST
  • Audit
    • Query audit logs
      GET
  1. Tokens

Deploy and register a new token

POST
https://caas-api.tokenone.com.br//v1/tokens
Deploy a new ERC-20 token contract and register it

Requisição

Authorization
API Key
Adicionar parâmetro em header
x-api-key
Exemplo:
x-api-key: ********************
or
Parâmetros Bodyapplication/jsonNecessário

Examples

Respostas

🟢201
application/json
Created
Bodyapplication/json

🟠400
🟠401
🟠422
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://caas-api.tokenone.com.br//v1/tokens' \
--header 'x-api-key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "decimals": 6,
    "initialSupplyTokens": "10000000",
    "maxSupplyTokens": "100000000",
    "metadata": {
        "property1": "string",
        "property2": "string"
    },
    "name": "Debenture Empresa XYZ 2025",
    "network": "polygon-mainnet",
    "symbol": "DEBXYZ25",
    "walletAddress": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb1"
}'
Response Response Example
201 - Exemplo 1
{
    "contractAddress": "string",
    "createdAt": "string",
    "decimals": 0,
    "deployed": true,
    "deploymentTransactionHash": "string",
    "explorerUrl": "string",
    "id": "string",
    "metadata": {
        "property1": "string",
        "property2": "string"
    },
    "name": "string",
    "network": "polygon-mainnet",
    "symbol": "string",
    "tenantId": "string",
    "updatedAt": "string",
    "walletAddress": "string"
}
Página anterior
List wallets
Próxima página
Mint tokens
Built with